CocoaPod 升级

前两天,准备自习看看 SD的源码,建了个demo ,用cocoapod 导进去,发现导入的sdwebimage 才是v3.0,在cocoapod.org 上搜最新版是v3.73, 毫不疑问, cocoapod 版本太旧了,升级各种显示 Unable to download data from http://ruby.taobao.org/ - bad response Not Found 404 (http://ruby.taobao.org/latest_specs.4.8.gz)

后台百度一顿找,试了各种,还是不行,然后不得不改用google ,最后解决的方式是
gem sources --remove http://ruby.taobao.org/,
gem sources -a https://ruby.taobao.org/,
pod setup,
sudo gem install cocoapods

Reference

推荐阅读更多精彩内容

  • 回了一趟老家,等回到公司发现每次更新podfile,就提示我的pod版本过低(0.39.0).没办法就只有升级了....
    iOSDevVicky阅读 179评论 0 1
  • 最近在写swift的时候,需要网络加载,于是就加入了Alamofire这个网络库。由于习惯,我选择了实用c...
    dose_爽阅读 2,113评论 0 1
  • 20170423,人人都需要爱,爱在哪里?爱在我们心里,但是我知道,不知如何做到,这就需要修炼!我们就是爱! 是的...
    铭玮阅读 149评论 0 0
  • 晚饭时,我发现今天的带鱼不是很新鲜,没什么带鱼味道,只有咸味。于是就叫儿子别吃太多,吃一段就好了。可他偏不,...
    sunflower80阅读 39评论 0 0
  • 对自我的积极信念会激发我们去努力,并在艰难岁月中保持希望。
    流年4water阅读 41评论 0 0